summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2004-12-22 23:11:09 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2004-12-22 23:11:09 (GMT)
commit0c30782edc4a96f9d0d1e9aa79b263e1bcc9f14a (patch)
treef87473c054c953bb9c8338610084ab67483cdf06
parentcdbe69390d04cccc88b039b2be8e6e68a75d39fe (diff)
downloadhdf5-0c30782edc4a96f9d0d1e9aa79b263e1bcc9f14a.zip
hdf5-0c30782edc4a96f9d0d1e9aa79b263e1bcc9f14a.tar.gz
hdf5-0c30782edc4a96f9d0d1e9aa79b263e1bcc9f14a.tar.bz2
[svn-r9701] Purpose:
Bug fix. Description: -e is not a valid condition for /bin/sh in all machines such as SunOS. Solution: Rewrote the condition to avoid the need of using "test -e ...". Platforms tested: worked fine last night.
-rwxr-xr-xbin/deploy12
1 files changed, 6 insertions, 6 deletions
diff --git a/bin/deploy b/bin/deploy
index 0521430..6d025c3 100755
--- a/bin/deploy
+++ b/bin/deploy
@@ -46,14 +46,14 @@ if [ $# != 1 ]; then
fi
installdir=$1
-if [ ! -e $installdir ]; then
- mkdir $installdir
-fi
-if [ ! -d $installdir ]; then
+# create installdir if it does not exist yet.
+if [ -d $installdir ] || mkdir $installdir ; then
+ ${MAKE:-gmake} install prefix=$installdir && \
+ ( cd $installdir/bin; ./h5redeploy -force)
+ exit $?
+else
echo $installdir is not a valid directory
USAGE
exit 1
fi
-${MAKE:-gmake} install prefix=$installdir && ( cd $installdir/bin; ./h5redeploy -force)
-exit $?